File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# _DMXScreenInfo Struct Reference

`#include <dmx.h>`

## Data Fields
const char * | name
int | index
Display * | beDisplay
int | beWidth
int | beHeight
int | beDepth
int | beBPP
int | beXDPI
int | beYDPI
int | beNumDepths
int * | beDepths
int | beNumPixmapFormats
XPixmapFormatValues * | bePixmapFormats
int | beNumVisuals
XVisualInfo * | beVisuals
int | beDefVisualIndex
int | beNumDefColormaps
Colormap * | beDefColormaps
Pixel | beBlackPixel
Pixel | beWhitePixel
Window | scrnWin
int | scrnX
int | scrnY
int | scrnWidth
int | scrnHeight
int | scrnXSign
int | scrnYSign
Drawable | scrnDefDrawables [MAXFORMATS]
_DMXScreenInfo * | next
_DMXScreenInfo * | over
Window | rootWin
int | rootX
int | rootY
int | rootWidth
int | rootHeight
int | rootXOrigin
int | rootYOrigin
void * | shadow
XlibGC | shadowGC
XImage * | shadowFBImage
int | shared
PositionType | where
int | whereX
int | whereY
int | whereRefScreen
int | savedTimeout
int | dpmsCapable
int | dpmsEnabled
int | dpmsStandby
int | dpmsSuspend
int | dpmsOff
DMXStatInfo * | stat
Bool | needsSync
CloseScreenProcPtr | CloseScreen

## Detailed Description

Global structure containing information about each backend screen.

## Field Documentation

Pixel _DMXScreenInfo::beBlackPixel

| Default black pixel for BE

int _DMXScreenInfo::beBPP

| Bits per pixel of BE display

Colormap* _DMXScreenInfo::beDefColormaps

| Default colormaps for DMX server

int _DMXScreenInfo::beDefVisualIndex

| Default visual index of BE

int _DMXScreenInfo::beDepth

| Depth of BE display

int* _DMXScreenInfo::beDepths

| Depths from BE server

Display* _DMXScreenInfo::beDisplay

| Back-end X server's display

int _DMXScreenInfo::beHeight

| Height of BE display

int _DMXScreenInfo::beNumDefColormaps

| Number of default colormaps

int _DMXScreenInfo::beNumDepths

| Number of depths on BE server

int _DMXScreenInfo::beNumPixmapFormats

| Number of pixmap formats on BE

int _DMXScreenInfo::beNumVisuals

| Number of visuals on BE

XPixmapFormatValues* _DMXScreenInfo::bePixmapFormats

| Pixmap formats on BE

XVisualInfo* _DMXScreenInfo::beVisuals

| Visuals from BE server

Pixel _DMXScreenInfo::beWhitePixel

| Default white pixel for BE

int _DMXScreenInfo::beWidth

| Width of BE display

int _DMXScreenInfo::beXDPI

| Horizontal dots per inch of BE

int _DMXScreenInfo::beYDPI

| Vertical dots per inch of BE

CloseScreenProcPtr _DMXScreenInfo::CloseScreen

| Function pointers to wrapped screen functions

int _DMXScreenInfo::dpmsCapable

| Non-zero if backend is DPMS capable

int _DMXScreenInfo::dpmsEnabled

| Non-zero if DPMS enabled

int _DMXScreenInfo::dpmsOff

| Original DPMS off value

int _DMXScreenInfo::dpmsStandby

| Original DPMS standby value

int _DMXScreenInfo::dpmsSuspend

| Original DPMS suspend value

int _DMXScreenInfo::index

| Index into dmxScreens global

const char* _DMXScreenInfo::name

| Name from command line or config file

Bool _DMXScreenInfo::needsSync

| True if an XSync is pending

struct _DMXScreenInfo* _DMXScreenInfo::next

| List of "screens" on same display

struct _DMXScreenInfo* _DMXScreenInfo::over

| List of "screens" that overlap

int _DMXScreenInfo::rootHeight

| Height of "root" window

int _DMXScreenInfo::rootWidth

| Width of "root" window

Window _DMXScreenInfo::rootWin

| "Root" window on backend display

int _DMXScreenInfo::rootX

| X offset of "root" window WRT "screen"

int _DMXScreenInfo::rootXOrigin

| Global X origin of "root" window

int _DMXScreenInfo::rootY

| Y offset of "root" window WRT "screen"

int _DMXScreenInfo::rootYOrigin

| Global Y origin of "root" window

int _DMXScreenInfo::savedTimeout

| Original screen saver timeout

Drawable _DMXScreenInfo::scrnDefDrawables[MAXFORMATS]

| Default drawables for "screen"

int _DMXScreenInfo::scrnHeight

| Height of "screen"

int _DMXScreenInfo::scrnWidth

| Width of "screen"

Window _DMXScreenInfo::scrnWin

| "Screen" window on backend display

int _DMXScreenInfo::scrnX

| X offset of "screen" WRT BE display

int _DMXScreenInfo::scrnXSign

| X offset sign of "screen"

int _DMXScreenInfo::scrnY

| Y offset of "screen" WRT BE display

int _DMXScreenInfo::scrnYSign

| Y offset sign of "screen"

void* _DMXScreenInfo::shadow

| Shadow framebuffer data (if enabled)

XImage* _DMXScreenInfo::shadowFBImage

| Screen image used by shadow FB code

XlibGC _DMXScreenInfo::shadowGC

| Default GC used by shadow FB code

int _DMXScreenInfo::shared

| Non-zero if another Xdmx is running

DMXStatInfo* _DMXScreenInfo::stat

| Statistics about XSync

PositionType _DMXScreenInfo::where

| Relative layout information

int _DMXScreenInfo::whereRefScreen

| Relative layout information

int _DMXScreenInfo::whereX

| Relative layout information

int _DMXScreenInfo::whereY

| Relative layout information

The documentation for this struct was generated from the following file:

- dmx.h